Foxit PDF SDK

Instance Methods | List of all members
FSXFAPage Class Reference
Inheritance diagram for FSXFAPage:

## Instance Methods
(FSMatrix2D *) | - getDisplayMatrix:top:width:height:rotate:
| Get the display matrix, from PDF coordinate system to targeted device coordinate system. More...
(FSXFAWidget *) | - getFirstWidget
| Get the first XFA widget in current tab order. More...
(float) | - getHeight
| Get the height of the XFA page. More...
(int) | - getIndex
| Get index of the XFA page. More...
(FSXFAWidget *) | - getLastWidget
| Get the last XFA widget in current tab order. More...
(FSXFAWidget *) | - getNextWidget:
| Get the next XFA widget of a specified XFA widget in current tab order. More...
(FSXFAWidget *) | - getPrevWidget:
| Get the previous XFA widget of a specified XFA widget in current tab order. More...
(FSXFAWidget *) | - getWidget:
| Get XFA widget by index. More...
(FSXFAWidget *) | - getWidgetAtDevicePoint:device_point:tolerance:
| Get the XFA widget at a specified point, in device coordinate system. More...
(FSXFAWidget *) | - getWidgetByFullName:
| Get the XFA widget which matches the specified full name in current XFA page. More...
(int) | - getWidgetCount
| Get the count of XFA widget. More...
(float) | - getWidth
| Get the width. More...
(id) | - initWithOther:
| Constructor, with another XFA page object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...

## Detailed Description

Class FSXFAPage represents the XFA page which is retrieved from XFA document object.
To render an XFA page, please use function FSRenderer::startRenderXFAPage:matrix:is_highlight:pause:.

See also
  FSRenderer

## Method Documentation

## ◆ getDisplayMatrix:top:width:height:rotate:()

- (FSMatrix2D *) getDisplayMatrix: |  | (int) | left
top: |  | (int) | top
width: |  | (int) | width
height: |  | (int) | height
rotate: |  | (FSRotation) | rotate

Get the display matrix, from PDF coordinate system to targeted device coordinate system.

Parameters

  [in] | left | Left position of the transformation area in device coordinate system, commonly in pixels.
  [in] | top | Top position of the transformation area in device coordinate system, commonly in pixels.
  [in] | width | Width of the transformation area in device coordinate system, commonly in pixels.
  [in] | height | Height of the transformation area in device coordinate system, commonly in pixels.
  [in] | rotate | Rotation value. Please refer to values starting from FSRotation0 and this should be one of these values.

Returns
  A Matrix object that receives the display matrix used for current XFA page. If there is any error, a Matrix with all value 0 will be returned.

## ◆ getFirstWidget()

- (FSXFAWidget *) getFirstWidget |  |  |

Get the first XFA widget in current tab order.

Returns
  The first XFA widget. If the return value of function FSXFAWidget::isEmpty for the returned XFA widget object is YES, that means there is no XFA widget.

## ◆ getHeight()

- (float) getHeight |  |  |

Get the height of the XFA page.

Returns
  A float value that receives the height of current XFA page.

## ◆ getIndex()

- (int) getIndex |  |  |

Get index of the XFA page.

Returns
  The index of XFA page.

## ◆ getLastWidget()

- (FSXFAWidget *) getLastWidget |  |  |

Get the last XFA widget in current tab order.

Returns
  The last XFA widget. If the return value of function FSXFAWidget::isEmpty for the returned XFA widget object is YES, that means there is no XFA widget.

## ◆ getNextWidget:()

- (FSXFAWidget *) getNextWidget: |  | (FSXFAWidget*) | widget |

Get the next XFA widget of a specified XFA widget in current tab order.

Parameters

  [in] | widget | A valid specified XFA widget.

Returns
  The next XFA widget. If the return value of function FSXFAWidget::isEmpty for the returned XFA widget object is YES, that means the specified XFA widget is the last XFA widget in current tab order.

## ◆ getPrevWidget:()

- (FSXFAWidget *) getPrevWidget: |  | (FSXFAWidget*) | widget |

Get the previous XFA widget of a specified XFA widget in current tab order.

Parameters

  [in] | widget | A valid specified XFA widget.

Returns
  The previous XFA widget. If the return value of function FSXFAWidget::isEmpty for the returned XFA widget object is YES, that means the specified XFA widget is the previous XFA widget in current tab order.

## ◆ getWidget:()

- (FSXFAWidget *) getWidget: |  | (int) | widget_index |

Get XFA widget by index.

Parameters

  [in] | widget_index | The XFA widget index. Valid range: from 0 to (count-1). count is returned by function FSXFAPage::getWidgetCount.

Returns
  The XFA widget.

## ◆ getWidgetAtDevicePoint:device_point:tolerance:()

- (FSXFAWidget *) getWidgetAtDevicePoint: |  | (FSMatrix2D*) | matrix
device_point: |  | (FSPointF*) | device_point
tolerance: |  | (float) | tolerance

Get the XFA widget at a specified point, in device coordinate system.

Parameters

  [in] | matrix | The transformation matrix. Usually this is returned by function FSXFAPage::getDisplayMatrix:top:width:height:rotate:.
  [in] | device_point | A point in device coordinate system.
  [in] | tolerance | Tolerance value. Valid range: 0.0f to 30.0f.

Returns
  An XFA Widget object.

## ◆ getWidgetByFullName:()

- (FSXFAWidget *) getWidgetByFullName: |  | (NSString *) | full_name |

Get the XFA widget which matches the specified full name in current XFA page.

Parameters

  [in] | full_name | An XFA widget's full name. It should not be an empty string. XFA widget's full name can be retrieved by function FSXFAWidget::getName: with type FSXFAWidgetWidgetNameTypeFullName in previous process.

Returns
  An XFA Widget object.

## ◆ getWidgetCount()

- (int) getWidgetCount |  |  |

Get the count of XFA widget.

Returns
  The count of XFA widget.

## ◆ getWidth()

- (float) getWidth |  |  |

Get the width.

Returns
  A float value that receives the width of current XFA page.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSXFAPage*) | other |

Constructor, with another XFA page object.

Parameters

  [in] | other | Another XFA page object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.